# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class AddCustomLiveStreamTranscodeRequest(JDCloudRequest):
    """
    添加自定义转码模板
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(AddCustomLiveStreamTranscodeRequest, self).__init__(
            '/transcodeCustoms:template', 'POST', header, version)
        self.parameters = parameters


class AddCustomLiveStreamTranscodeParameters(object):

    def __init__(self, videoCodeRate, videoFrameRate, width, height, template, audioCodec, audioFormat, audioSampleRate, audioChannel, audioCodeRate):
        """
        :param videoCodeRate: 转码输出的码率值
        :param videoFrameRate: 转码输出的帧率值
        :param width: 转码输出视频宽度
        :param height: 转码输出视频宽度
        :param template: 转码模板自定义名称
        :param audioCodec: 转码输出音频编码格式
        :param audioFormat: 转码输出音频格式
        :param audioSampleRate: 转码输出音频采样率
        :param audioChannel: 转码输出音频通道数
        :param audioCodeRate: 转码输出音频码率
        """

        self.videoCodeRate = videoCodeRate
        self.videoFrameRate = videoFrameRate
        self.width = width
        self.height = height
        self.template = template
        self.audioCodec = audioCodec
        self.audioFormat = audioFormat
        self.audioSampleRate = audioSampleRate
        self.audioChannel = audioChannel
        self.audioCodeRate = audioCodeRate

